%define oname protocol_version_header

Name:           ocaml-%{oname}
Version:        0.13.0
Release:        %mkrel 2
Summary:        Protocol versioning

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam

BuildRequires:  ocaml-core_kernel >= 0.13
BuildRequires:  ocaml-ppx_jane >= 1:0.13
BuildRequires:  ocaml-ocaml-migrate-parsetree >= 1.0
BuildRequires:  ocaml-ppxlib >= 0.1.0
BuildRequires:  ocaml-result-devel

%description
Protocol versioning

This library offers a lightweight way for applications protocols to
version themselves. The more protocols that add themselves to
[Known_protocol], the nicer error messages we will get when connecting
to a service while using the wrong protocol.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%license LICENSE.md
%doc README.*
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/dune-package
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt*
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.13.0-2.mga8
+ Revision: 1670834
- Rebuild to generate ocamlx provides

* Sat Feb 29 2020 pterjan <pterjan> 0.13.0-1.mga8
+ Revision: 1552368
- Update to 0.13.0
+ umeabot <umeabot>
- Rebuild for ocaml 4.10.0 final
- Mageia 8 Mass Rebuild

* Wed Oct 24 2018 pterjan <pterjan> 0.11.0-1.mga7
+ Revision: 1325139
- Update to 0.11.0

* Sun Sep 30 2018 daviddavid <daviddavid> 0.10.0-6.mga7
+ Revision: 1312656
- rebuild against ocaml-sexplib

* Fri Sep 28 2018 umeabot <umeabot> 0.10.0-4.mga7
+ Revision: 1310487
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 daviddavid <daviddavid> 0.10.0-3.mga7
+ Revision: 1242239
- rebuild for ocaml-sexplib

* Fri Jul 06 2018 daviddavid <daviddavid> 0.10.0-2.mga7
+ Revision: 1242035
- rebuild against current ocaml stack
- enable debug package as it should

* Tue Jan 16 2018 pterjan <pterjan> 0.10.0-1.mga7
+ Revision: 1193802
- imported package ocaml-protocol_version_header

